import type { MetabasePluginsConfig } from "../../../embedding-sdk/types/plugins";
import type Question from "../../../../metabase-lib/v1/Question";
import { Mode } from "../Mode";
export declare function getMode(question: Question): Mode | null;
export declare function getEmbeddingMode(question: Question, plugins?: MetabasePluginsConfig): Mode | null;
